# Getestet mit Python 3.11.6 und PySide 6.5.3

import sys
import random
import PySide6.QtWidgets as widgets
import PySide6.QtUiTools as uic

# Viele rote Kringel, weil die Typen erst bekannt sind, wenn der QUiLoader gelaufen ist.
# Man könnte mit typing.cast abhelfen, aber das wird unübersichtlich.

def buttonKlick():
    w.lineEdit_2.setText("bla" + str(random.randint(10, 15)))

def checkFunktion():
    r = d.exec()
    if r == widgets.QDialog.DialogCode.Accepted:
        w.meineCheckBox.setChecked(True)
    w.dasLabel.setText(d.meineEingabe.text())

app = widgets.QApplication(sys.argv)
w = uic.QUiLoader().load("hauptfenster.ui")

w.derKnopf.clicked.connect(buttonKlick)
w.meineAction.triggered.connect(checkFunktion)


d = uic.QUiLoader().load("meinDialog.ui")


w.show()
sys.exit(app.exec())